Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: pdumodel::Outlet::State Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::Outlet::State Struct Reference

Outlet state More...

## Public Attributes
boolean | available
| powerState is available
PowerState | powerState
| Current power state of outlet (represented by the control state of the relay, which was set by the last command sent to it)
boolean | switchOnInProgress
| `true` if the outlet is pending to be switched on after the sequencing delay has passed.
boolean | cycleInProgress
| `if` a power-cycle is in progress.
boolean | isLoadShed
| `true` if the outlet is currently switched off due to being non-critical and load shedding being active
boolean | isSuspended
| Whether the outlet was turned off automatically due to being suspected to have caused an OCP trip event.
boolean | hasInrushWaveform
| Whether a valid waveform of last switch-on operation can be read using `getInrushWaveform()`.
boolean | inServiceMode
| Whether the outlet is currently placed into service mode.
LedState | ledState
| LED state (deprecated and always sent as 'off')
time | lastPowerStateChange
| Time of last power state change (UNIX timestamp, UTC)

## Detailed Description

Outlet state

Definition at line 70 of file Outlet.idl.

## Member Data Documentation

## ◆ available

boolean pdumodel::Outlet::State::available

powerState is available

Definition at line 71 of file Outlet.idl.

## ◆ cycleInProgress

boolean pdumodel::Outlet::State::cycleInProgress

`if` a power-cycle is in progress.

The outlet will be switched on after the cycle delay has passed.

Definition at line 77 of file Outlet.idl.

## ◆ hasInrushWaveform

boolean pdumodel::Outlet::State::hasInrushWaveform

Whether a valid waveform of last switch-on operation can be read using `getInrushWaveform()`.

Definition at line 83 of file Outlet.idl.

## ◆ inServiceMode

boolean pdumodel::Outlet::State::inServiceMode

Whether the outlet is currently placed into service mode.

Definition at line 85 of file Outlet.idl.

## ◆ isLoadShed

boolean pdumodel::Outlet::State::isLoadShed

`true` if the outlet is currently switched off due to being non-critical and load shedding being active

Definition at line 79 of file Outlet.idl.

## ◆ isSuspended

boolean pdumodel::Outlet::State::isSuspended

Whether the outlet was turned off automatically due to being suspected to have caused an OCP trip event.

Definition at line 81 of file Outlet.idl.

## ◆ lastPowerStateChange

time pdumodel::Outlet::State::lastPowerStateChange

Time of last power state change (UNIX timestamp, UTC)

Definition at line 87 of file Outlet.idl.

## ◆ ledState

LedState pdumodel::Outlet::State::ledState

LED state (deprecated and always sent as 'off')

Definition at line 86 of file Outlet.idl.

## ◆ powerState

PowerState pdumodel::Outlet::State::powerState

Current power state of outlet (represented by the control state of the relay, which was set by the last command sent to it)

Definition at line 72 of file Outlet.idl.

## ◆ switchOnInProgress

boolean pdumodel::Outlet::State::switchOnInProgress

`true` if the outlet is pending to be switched on after the sequencing delay has passed.

Definition at line 75 of file Outlet.idl.

The documentation for this struct was generated from the following file:

- Outlet.idl